Bug 522469 - [Regression] Yum no longer allows switching mirrors via Ctrl+C
[Regression] Yum no longer allows switching mirrors via Ctrl+C
Status: NEW
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
23
All Linux
low Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Regression, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 08:24 EDT by Artem S. Tashkinov
Modified: 2016-04-20 08:58 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:59:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Artem S. Tashkinov 2009-09-10 08:24:05 EDT
Description of problem: when downloading packages yum 3.2.22 and earlier versions allow to switch to the next available mirror using Ctrl+C keyboard shortcut. Yum 3.2.24 just exits as soon as I press Ctrl+C.

Version-Release number of selected component (if applicable): 3.2.24

How reproducible: always

Steps to Reproduce:
1. yum update -> press Y
2. wait until actual packages start being downloaded
3. press Ctrl+C
  
Actual results: yum exits

Expected results: yum switches mirrors

Additional info: yum still doesn't want to remember the fastest proxies ...
Comment 1 seth vidal 2009-09-10 11:46:28 EDT

*** This bug has been marked as a duplicate of bug 519233 ***
Comment 2 Juan P. Daza P. 2009-12-16 11:56:40 EST
Closing the process with Ctrl-C is different from switching mirrors.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Gilboa Davara 2009-12-17 03:43:32 EST
(Repost from bug #519233)

I'm seeing the exact opposite - Ctrl-C no longer displays the "press Ctrl-C
again" message - instead it simply quits.
I'm using python-urlgrabber-3.9.1-4.

Would it be possible to separate the "switch mirror" functionality from the
"Abort" functionality by moving the "switch mirror" functionality to another
combo? (E.g. Ctrl-S)

- Gilboa
Comment 4 Adam Hough 2010-02-17 15:22:59 EST
"Pressing Ctrl-C while yum downloads something results in it going to next mirror instead of stopping" has been a function in YUM for a very long time.  It is very useful for people you install fedora on laptops and do yum updates from different networks.  

It also is nice to be able to switch from a mirror that was fast previously but is currently slow to a possible faster mirror.

If Ctrl-C is not an option then it would be nice for another key to be used to switch to another mirror.

Changing the function of Ctrl-C is more of a feature request then an actual bug.

If the Ctrl-C is to be no longer used to switch mirrors during a yum download, a new key combination should be found to switch mirrors during downloading.  There is absolutely no way anyone with a local repository can guarantee that a mirror that was fast for them previously is fast for them this next time.  Mirrors can also become slow during a download because of other network related factors.
Comment 5 Bug Zapper 2010-11-04 06:07:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Gilboa Davara 2010-11-04 07:20:55 EDT
Still an issue with F13.
Tried looking at the source (using a different combo to handle mirror change), but as far as I can tell, there's no easy way of doing without breaking half of the stack.

Keeping it open, in-case someone else wants to take a crack at it.

- Gilboa
Comment 7 Fedora End Of Life 2013-04-03 16:15:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 16:40:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:59:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Jan Kurik 2015-07-15 11:21:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.